Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-qt/sidebar.h File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Structures | Typedefs | Enumerations | Functions
sidebar.h File Reference
`#include <QEnterEvent>`
`#include <QWidget>`

Go to the source code of this file.

## Data Structures

class | fc_sidewidget
class | fc_sidebar

## Typedefs

typedef void(* | pfcn_bool) (bool)
typedef void(* | pfcn) (void)

## Enumerations

enum | { SW_STD = 0 , SW_TAX = 1 , SW_INDICATORS = 2 }

## Functions

void | side_blink_endturn (bool do_restore)
void | update_turn_done_tooltip ()
void | side_center_unit ()
void | side_disable_endturn (bool do_restore)
void | side_finish_turn (bool nothing)
void | side_indicators_menu ()
void | side_rates_wdg (bool nothing)
void | side_right_click_diplomacy ()
void | side_right_click_science ()
void | side_left_click_science (bool nothing)
void | side_show_map (bool nothing)

## Typedef Documentation

## ◆ pfcn

typedef void(* pfcn) (void)

Definition at line 32 of file sidebar.h.

## ◆ pfcn_bool

typedef void(* pfcn_bool) (bool)

Definition at line 31 of file sidebar.h.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
SW_STD |
SW_TAX |
SW_INDICATORS |

Definition at line 26 of file sidebar.h.

## Function Documentation

## ◆ side_blink_endturn()

void side_blink_endturn | ( | bool | do_restore | ) |

Changes background of endturn widget if asked

Definition at line 690 of file sidebar.cpp.

Referenced by update_turn_done_button().

## ◆ side_center_unit()

void side_center_unit | ( |  | ) |

Callback to center on current unit

Definition at line 650 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ side_disable_endturn()

void side_disable_endturn | ( | bool | do_restore | ) |

Disables end turn button if asked

Definition at line 677 of file sidebar.cpp.

## ◆ side_finish_turn()

void side_finish_turn | ( | bool | nothing | ) |

Callback for finishing turn

Definition at line 632 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ side_indicators_menu()

void side_indicators_menu | ( |  | ) |

Popups menu on indicators widget

Definition at line 702 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ side_left_click_science()

void side_left_click_science | ( | bool | nothing | ) |

Left click for science, allowing to close/open

Definition at line 809 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ side_rates_wdg()

void side_rates_wdg | ( | bool | nothing | ) |

Callback to popup rates dialog

Definition at line 640 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ side_right_click_diplomacy()

void side_right_click_diplomacy | ( | void |  | ) |

Right click for diplomacy Opens diplomacy meeting for player For observer popups menu

Definition at line 716 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ side_right_click_science()

void side_right_click_science | ( | void |  | ) |

Right click for science, allowing to choose current tech

Definition at line 760 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ side_show_map()

void side_show_map | ( | bool | nothing | ) |

Callback to show map

Definition at line 624 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ update_turn_done_tooltip()

void update_turn_done_tooltip | ( |  | ) |

Update tooltip of the Turn Done button

Override background color for canvases Update tooltip of the Turn Done button

Definition at line 1054 of file gui_main.c.

Referenced by set_turn_done_button_state(), and setup_widgets().